Click here to view and discuss this page in DocCommentXchange. In the future, you will be sent there automatically.

SAP Sybase SQL Anywhere 16.0 (中文) » SQL Anywhere 16 - 更改和升级 » 如何升级到 SQL Anywhere 16 » MobiLink 升级 » 统一数据库升级

 

升级 IBM DB2 LUW 统一数据库

应先运行安装新系统对象的升级脚本,然后才能将新的 MobiLink 服务器与现有的 IBM DB2 LUW 统一数据库一起使用。

前提条件

要运行安装脚本,您必须是当前已安装 MobiLink 系统表的所有者。

对于 DB2 LUW 10.1,MobiLink 服务器需对 SYSIBMADM.MON_LOCKWAITS、SNAPSHOT_APPL_INFO 具备 SELECT 权限才能调用锁定/阻塞检测逻辑。

对于 DB2 LUW 9,MobiLink 服务器需对 SYSIBMADM.LOCKWAITS、SNAPSHOT_APPL_INFO 具备 SELECT 权限才能调用锁定/阻塞检测逻辑。

上下文和注释

如果之前的 MobiLink 服务器版本低于 16.0,则需升级 IBM DB2 LUW 统一数据库。

有关如何运行 IBM DB2 LUW 安装脚本的信息,请参见IBM DB2 LUW 统一数据库

您也可以使用以下方法更新 MobiLink 系统设置:

  • 在 Sybase Central 的 MobiLink 插件中,单击 [MobiLink 16] » [项目] » [统一数据库],然后右击数据库名称并单击 [检查 MobiLink 系统设置]。如果需要对您的数据库进行设置或升级,系统将提示您继续。

  • 如果使用 [部署同步模型向导],将在连接到统一数据库时检查系统设置。如果需要对您的数据库进行设置或升级,系统将提示您继续。请参见同步模型

 任务
  1. 找到 IBM DB2 LUW 升级脚本。

    升级脚本名为 upgrade_db2.sql,保存在 SQL Anywhere 安装目录的 MobiLink/upgrade/version 子目录中。version 目录指要升级的 MobiLink 的原版本。

  2. 复制 upgrade_db2.sql 然后修改复制后的副本。更改脚本开头的 CONNECT 语句,以便该语句可以使用要连接的实例。将复制的 SQL 脚本应用于统一数据库。

结果

现在,统一数据库与新的 MobiLink 服务器便可一起使用。